Bug 1754830 - python-requests break Basic Auth when redirects contains default port [rhel-7.7.z]
Summary: python-requests break Basic Auth when redirects contains default port [rhel-7...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-requests
Version: 7.7
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Tomas Orsava
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On: 1745417
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-24 08:17 UTC by RAD team bot copy to z-stream
Modified: 2019-10-15 17:49 UTC (History)
7 users (show)

Fixed In Version: python-requests-2.6.0-7.el7_7
Doc Type: No Doc Update
Doc Text:
Clone Of: 1745417
Environment:
Last Closed: 2019-10-15 17:48:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github psf requests issues 4850 None closed Authorization header dropped accidentally because wrong port change detection logic 2020-03-20 11:24:20 UTC
Red Hat Bugzilla 1643829 None CLOSED CVE-2018-18074 python-requests: Redirect from HTTPS to HTTP does not remove Authorization header 2019-11-01 20:29:04 UTC
Red Hat Product Errata RHBA-2019:3078 None None None 2019-10-15 17:49:02 UTC

Description RAD team bot copy to z-stream 2019-09-24 08:17:21 UTC
This bug has been copied from bug #1745417 and has been proposed to be backported to 7.7 z-stream (EUS).

Comment 9 errata-xmlrpc 2019-10-15 17:48:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3078


Note You need to log in before you can comment on or make changes to this bug.